commit:     80b055510f10abe45c38fd3b3d667e4a0f6f883b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 22 22:29:55 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Jul 22 22:29:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80b05551

net-im/skypeforlinux: Bump to 8.62.0.85

Closes: https://bugs.gentoo.org/733418
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-im/skypeforlinux/Manifest                      |  1 +
 .../skypeforlinux/skypeforlinux-8.62.0.85.ebuild   | 98 ++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/net-im/skypeforlinux/Manifest b/net-im/skypeforlinux/Manifest
index a7ff5ca5794..896c5e21c93 100644
--- a/net-im/skypeforlinux/Manifest
+++ b/net-im/skypeforlinux/Manifest
@@ -3,3 +3,4 @@ DIST skypeforlinux_8.60.0.76-1.x86_64.rpm 108325497 BLAKE2B 
84304111a215d0e0ddb7
 DIST skypeforlinux_8.61.0.77-1.x86_64.rpm 113617464 BLAKE2B 
4e3b16cd0119e6bf1900aaa8b9a81bfc87d6ae20a109656001fd63220064c9418dac1ce8114db385ba08f7c7d915f94b9bc368a51f1c2b91d778942d1519abf0
 SHA512 
81b7797f2e77382358033db80b11870202aeeec4dac771161ec18c2f589b7110b6813bf5a0432e4db0926854da181641fbbeffda8ab644656af45afafa49b3a5
 DIST skypeforlinux_8.61.0.95-1.x86_64.rpm 113617440 BLAKE2B 
d09468c0bcca8551f8381f1af2d8b609bab40917582d184921ba054e60ab30cc58626fd3e0ccff8a93c5fbf6132091a461fa846bfedecda724b38dab47c9babd
 SHA512 
f9b844675fc30208be04d317aaad4c82543789806766045e564cf9d71105c1c5122507b6719cdf4879d656e2423dbc43b98cc2aad8a242d9def95a5f797b46de
 DIST skypeforlinux_8.62.0.83-1.x86_64.rpm 112166207 BLAKE2B 
1f582874279ce2699f2acd6809829b78cc9d0ad588dfecdffa8dec6f335f86f50c02881ed315e6add905c403e3437ff115eea9d6a8bd84c3593b63a4042dc961
 SHA512 
04a0f6bdb042190be6503077ed63ef908dd4532c440bde4891a91b121e79cb1438f6c556dbe1a1cdcaeccc2a2dad64d83f8a9be3dd4a4cc1c3024851afed6d84
+DIST skypeforlinux_8.62.0.85-1.x86_64.rpm 112166071 BLAKE2B 
a5647e8e0c332787293438721a71f088ba0441f31a94a68d5fa079bd32687ac31c223ba2fded4448e6ed3a95a7b5660215e3137f272e620b3d4205bd11122068
 SHA512 
30283e7c31d692988cd6ccb350dfcdf3dfdc22d8ac40aa2910a612dc72e08aa0742b53e6876ebde4b7c3727c283ea78e87332f121d1260b8ea65615e378cbc24

diff --git a/net-im/skypeforlinux/skypeforlinux-8.62.0.85.ebuild 
b/net-im/skypeforlinux/skypeforlinux-8.62.0.85.ebuild
new file mode 100644
index 00000000000..c2755ee5b06
--- /dev/null
+++ b/net-im/skypeforlinux/skypeforlinux-8.62.0.85.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MULTILIB_COMPAT=( abi_x86_64 )
+
+inherit chromium-2 desktop pax-utils rpm multilib-build xdg
+
+DESCRIPTION="Instant messaging client, with support for audio and video"
+HOMEPAGE="https://www.skype.com/";
+SRC_URI="https://repo.skype.com/rpm/stable/${PN}_${PV}-1.x86_64.rpm";
+
+LICENSE="Skype-TOS MIT MIT-with-advertising BSD-1 BSD-2 BSD Apache-2.0 
Boost-1.0 ISC CC-BY-SA-3.0 CC0-1.0 openssl ZLIB APSL-2 icu Artistic-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+S="${WORKDIR}"
+QA_PREBUILT="*"
+RESTRICT="mirror bindist strip" #299368
+
+RDEPEND="
+       app-crypt/libsecret[${MULTILIB_USEDEP}]
+       dev-libs/atk[${MULTILIB_USEDEP}]
+       dev-libs/expat[${MULTILIB_USEDEP}]
+       dev-libs/glib:2[${MULTILIB_USEDEP}]
+       dev-libs/nspr[${MULTILIB_USEDEP}]
+       dev-libs/nss[${MULTILIB_USEDEP}]
+       media-libs/alsa-lib[${MULTILIB_USEDEP}]
+       media-libs/fontconfig:1.0[${MULTILIB_USEDEP}]
+       media-libs/freetype:2[${MULTILIB_USEDEP}]
+       media-libs/libv4l[${MULTILIB_USEDEP}]
+       net-print/cups[${MULTILIB_USEDEP}]
+       sys-apps/dbus[${MULTILIB_USEDEP}]
+       sys-devel/gcc[cxx]
+       virtual/ttf-fonts
+       x11-libs/cairo[${MULTILIB_USEDEP}]
+       x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+       x11-libs/gtk+:3[${MULTILIB_USEDEP}]
+       x11-libs/libX11[${MULTILIB_USEDEP}]
+       x11-libs/libXScrnSaver[${MULTILIB_USEDEP}]
+       x11-libs/libXcomposite[${MULTILIB_USEDEP}]
+       x11-libs/libXcursor[${MULTILIB_USEDEP}]
+       x11-libs/libXdamage[${MULTILIB_USEDEP}]
+       x11-libs/libXext[${MULTILIB_USEDEP}]
+       x11-libs/libXfixes[${MULTILIB_USEDEP}]
+       x11-libs/libXi[${MULTILIB_USEDEP}]
+       x11-libs/libXrandr[${MULTILIB_USEDEP}]
+       x11-libs/libXrender[${MULTILIB_USEDEP}]
+       x11-libs/libXtst[${MULTILIB_USEDEP}]
+       x11-libs/libxcb[${MULTILIB_USEDEP}]
+       x11-libs/libxkbfile[${MULTILIB_USEDEP}]
+       x11-libs/pango[${MULTILIB_USEDEP}]"
+
+pkg_setup() {
+       chromium_suid_sandbox_check_kernel_config
+}
+
+src_unpack() {
+       rpm_src_unpack ${A}
+}
+
+src_prepare() {
+       default
+       sed -e 
"s!^SKYPE_PATH=.*!SKYPE_PATH=${EPREFIX}/opt/skypeforlinux/skypeforlinux!" \
+               -i usr/bin/skypeforlinux || die
+       sed -e 
"s!^Categories=.*!Categories=Network;InstantMessaging;Telephony;!" \
+               -e "/^OnlyShowIn=/d" \
+               -i usr/share/applications/skypeforlinux.desktop || die
+}
+
+src_install() {
+       dodir /opt
+       cp -a usr/share/skypeforlinux "${ED}"/opt || die
+
+       # remove chrome-sandbox binary, users should use kernel namespaces
+       # https://bugs.gentoo.org/692692#c18
+       rm "${ED}"/opt/skypeforlinux/chrome-sandbox || die
+
+       dobin usr/bin/skypeforlinux
+
+       dodoc usr/share/skypeforlinux/*.html
+       dodoc -r usr/share/doc/skypeforlinux/.
+       # symlink required for the "Help->3rd Party Notes" menu entry  
(otherwise frozen skype -> xdg-open)
+       dosym ${PF} usr/share/doc/skypeforlinux
+
+       doicon usr/share/pixmaps/skypeforlinux.png
+
+       local res
+       for res in 16 32 256 512; do
+               newicon -s ${res} 
usr/share/icons/hicolor/${res}x${res}/apps/skypeforlinux.png skypeforlinux.png
+       done
+
+       domenu usr/share/applications/skypeforlinux.desktop
+
+       pax-mark -m "${ED}"/opt/skypeforlinux/skypeforlinux
+       pax-mark -m 
"${ED}"/opt/skypeforlinux/resources/app.asar.unpacked/node_modules/slimcore/bin/slimcore.node
+}

Reply via email to